package com.bocloud.cmp.model.hmc;

/**
 * HMC以太网虚拟适配器
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcProfileNetworkAdapterModel {
    private Long id; // ID
    private Long profileId;
    private Integer adapterId;
    private Integer virtualSwitchId;
    private Integer virtualVlanId;
    private Boolean isRequired;
    private Boolean isTaggedVlanSupported;
    private String taggedVlanIds;
    private Integer priority;
    private String virtualSwitchName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getVirtualSwitchId() {
        return virtualSwitchId;
    }

    public void setVirtualSwitchId(Integer virtualSwitchId) {
        this.virtualSwitchId = virtualSwitchId;
    }

    public Integer getVirtualVlanId() {
        return virtualVlanId;
    }

    public void setVirtualVlanId(Integer virtualVlanId) {
        this.virtualVlanId = virtualVlanId;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Boolean getIsTaggedVlanSupported() {
        return isTaggedVlanSupported;
    }

    public void setIsTaggedVlanSupported(Boolean isTaggedVlanSupported) {
        this.isTaggedVlanSupported = isTaggedVlanSupported;
    }

    public String getTaggedVlanIds() {
        return taggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        this.taggedVlanIds = taggedVlanIds;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getVirtualSwitchName() {
        return virtualSwitchName;
    }

    public void setVirtualSwitchName(String virtualSwitchName) {
        this.virtualSwitchName = virtualSwitchName;
    }
}
